Invoices
Invoices for bookings
The invoice object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
attachmenttext | nullURL of a custom attachment
ftsread-onlytsvectorreferencetextReference of the invoice
Related resources
Embed related resources in the response with the select parameter, for example select=*,bookings!booking_id(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"attachment": "",
"reference": "ABC123"
}curl -X GET "https://api.bookingmood.com/v1/invoices?limit=10&select=*,bookings!booking_id(*),organizations(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List invoices
Filters
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this invoice is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>URL of a custom attachment
ftsFilter<tsvector>referenceFilter<text>Reference of the invoice
Responses
200A list of invoices with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /invoicescurl -X GET "https://api.bookingmood.com/v1/invoices?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"attachment": "",
"reference": "ABC123"
}
]Create invoices
Body
Partial<Invoice> | Array<Partial<Invoice>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created invoices with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /invoicescurl -X POST "https://api.bookingmood.com/v1/invoices" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"organization_id": "00000000-0000-0000-0000-000000000000",
"reference": "ABC123"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"attachment": "",
"reference": "ABC123"
}
]Delete invoices
Filters
Without filters, this request deletes all invoices you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this invoice is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>URL of a custom attachment
ftsFilter<tsvector>referenceFilter<text>Reference of the invoice
Responses
200The deleted invoices with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /invoicescurl -X DELETE "https://api.bookingmood.com/v1/invoices?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"attachment": "",
"reference": "ABC123"
}
]Update invoices
Filters
Without filters, this request updates all invoices you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this invoice is defined in
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
attachmentFilter<text | null>URL of a custom attachment
ftsFilter<tsvector>referenceFilter<text>Reference of the invoice
Body
Partial<Invoice>Read-only attributes are set by the database and can't be written.
Responses
200The updated invoices with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /invoicescurl -X PATCH "https://api.bookingmood.com/v1/invoices?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"reference": "ABC123"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"booking_id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:26:24.999Z",
"updated_at": "2026-10-30T22:26:24.999Z",
"attachment": "",
"reference": "ABC123"
}
]